@font-face {
    font-family: "SourceHanSansCN-Medium";
    src: url("./fonts/SourceHanSansCN-Medium.eot"); /* IE9 */
    src: url("./fonts/SourceHanSansCN-Medium.eot?#iefix") format("embedded-opentype"), /* IE6-IE8 */
    url("./fonts/SourceHanSansCN-Medium.woff") format("woff"), /* chrome、firefox */
    url("./fonts/SourceHanSansCN-Medium.ttf") format("truetype"), /* chrome、firefox、opera、Safari, Android, iOS 4.2+ */
    url("./fonts/SourceHanSansCN-Medium.svg#SourceHanSansCN-Medium") format("svg"); /* iOS 4.1- */
    font-style: normal;
    font-weight: normal;
}
@font-face {
    font-family: "SourceHanSerif";
    src: url("./fonts/SourceHanSerifCN-SemiBold-7.eot"); /* IE9 */
    src: url("./fonts/SourceHanSerifCN-SemiBold-7.eot?#iefix") format("embedded-opentype"), /* IE6-IE8 */
    url("./fonts/SourceHanSerifCN-SemiBold-7.woff") format("woff"), /* chrome、firefox */
    url("./fonts/SourceHanSerifCN-SemiBold-7.ttf") format("truetype");
    font-style: normal;
    font-weight: normal;
}
* {
    margin: 0px;
    padding: 0px;
}
canvas{
    width: 100%;
}
html {
    font-size: 12px;
}

html {
    color: #000000;
    background: #FFF;
}

body,
div,
dl,
dt,
dd,
ul,
ol,
li,
h1,
h2,
h3,
h4,
h5,
h6,
pre,
form,
fieldset,
input,
textarea,
p,
blockquote,
th,
td {
    margin: 0;
    padding: 0;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

fieldset,
img {
    border: 0;
}

caption,
th {
    text-align: left;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-size: 100%;
    font-weight: normal;
}

q:before,
q:after {
    content: '';
}

abbr,
acronym {
    border: 0;
}

a {
    text-decoration: none;
    color: #000000;
    font-size: 15px;
}

input,
img {
    border: none;
}

#app {
    font-family: 'SourceHanSansCN-Medium',"Microsoft YaHei","微软雅黑",
    "Helvetica Neue",Helvetica,"PingFang SC","Hiragino Sans GB",Arial,sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    height: 100%;
    width: 100%;
}

.overflowStyle {
    overflow-y: auto;
    overflow-x: hidden;
}

.overflowStyle::-webkit-scrollbar {
    width: 6px;
    /* 滚动条宽度， width：对应竖滚动条的宽度  height：对应横滚动条的高度*/
    height: 6px;
    background: #ffffff;
}

/*定义滚动条轨道（凹槽）样式*/
.overflowStyle::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(255, 255, 255, 0.3);
    /* 较少使用 */
    border-radius: 3px;
}

/*定义滑块 样式*/
.overflowStyle::-webkit-scrollbar-thumb {
    border-radius: 3px;
    background-color: #409EFF;
}

.datatime {
    overflow: hidden;
    text-align: right !important;
    color: #fff;
}
#childPage{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: -1;
    border: 0;
    background-color: #FFFFFF;
}
#childPage.show{
    z-index: 900;
}
.backCase {
    position: fixed;
    top: 60%;
    left: calc(100% - 2.8rem);
    width: 2.4rem;
    height: 2.4rem;
    background-color: #708ED7;
    color: #FFFFFF;
    border-radius: 50%;
    cursor: pointer;
    display: none;
    z-index: 1000;
    font-size: .7rem;
    line-height: 2.4rem;
    text-align: center;
    justify-content: center;
    align-items: center;
}
.el-loading-mask{
    z-index: 10000;
}
body.panel .index_content a,
body.panel .contentBox .content a{
    pointer-events: none;
}

video::-webkit-media-controls-fullscreen-button {
    display: none;
}

video::-webkit-media-controls-play-button {
    display: none;
}

video::-webkit-media-controls-timeline {
    display: none;
}

video::-webkit-media-controls-current-time-display{
    display: none;
}

video::-webkit-media-controls-time-remaining-display {
    display: none;
}

video::-webkit-media-controls-mute-button {
    display: none;
}
video::-webkit-media-controls-toggle-closed-captions-button {
    display: none;
}

video::-webkit-media-controls-volume-slider {
    display: none;
}

video::-webkit-media-controls-enclosure{
    display: none;
}

.vjs-tech {
    pointer-events: none;
    object-fit: cover;
}

/*509验证*/
.verifyDialog{z-index: 1000;top:0;left:0;width: 100%;height:100%;background-color: rgba(0,0,0,0.5);position: fixed;}
.verifyDialog .verifyBox{background-color:#fff;position: absolute;top: 50%;left: 50%;transform: translate(-50%, -50%);width: 280px;height: 240px;}
.verifyDialog .verifyBox h4{font-size:16px;margin: 0;line-height: 2;padding-left: 5px;}
.verifyDialog .tips{display: none;}
.verifyDialog .greenTips{display: block;width: 100%;height: 32px;color: #fff;font-size: 16px;background-color: #5cb85c73;position: absolute;bottom: 0;text-align: left;line-height: 2;padding-left: 10px;box-sizing: border-box;}
.verifyDialog .redTips{display: block;width: 100%;height: 32px;color: #fff;font-size: 16px;background-color: #f56c6c70;position: absolute;bottom: 0;text-align: left;line-height: 2;padding-left: 10px;box-sizing: border-box;}
.verifyDialog .rightValidate {width: 280px;margin: 0px auto;position: relative;text-align: center;z-index: 99;padding-top:145px;}
.verifyDialog .v_rightBtn {font-size: 18px; position: absolute; left: 0; top: 0;height: 30px;line-height: 30px; width: 40px; background: #ddd; cursor: pointer; }
.verifyDialog .imgBtn{ font-size: 12px; width:44px; height: 171px; position: absolute; left: 0;  }
.verifyDialog .imgBtn img{ z-index:99; align:center;}
.verifyDialog .imgBg{ position:absolute;bottom:35px;width: 280px; height: 171px;  display:block; z-index:9;}
.verifyDialog .imgBg_2{ position:absolute; bottom: -80px;  bottom:35px; width: 150px; height: 60px;   display:block;z-index:9;}
.verifyDialog .imgBg_3{ position:absolute;  bottom: -80px; bottom:35px; width: 170px; height: 60px;   display:block;z-index:9;}
.verifyDialog .hkinnerWrap{ font-size: 12px; border: 1px solid #eee; z-index:9999}
.verifyDialog .green{ border-color:#5cb85c !important; }
.verifyDialog .green .v_rightBtn{ background: #5cb85c; color: #fff; }
.verifyDialog .red{ border-color:#f56c6c !important; }
.verifyDialog .red .v_rightBtn{ background: #f56c6c; color: #fff; }
.verifyDialog .refresh{ position: absolute; height: 30px; right: 4px; top: 4px; font-size: 18px; color: #fff; text-shadow: 0px 0px 9px #333; cursor: pointer; display: none; }
.verifyDialog .notSel{ user-select: none; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; -webkit-touch-callout: none; }



/*临时修改*/
.componentBox .btn{
    line-height: 1.2 !important;
}

/*英文模式*/
.en .headerCodeBox .cardBox{
    width: 2.8rem;
    height: 2.8rem;
}
.en .headerCodeBox .cardTitle{
    font-size: 0.44rem;
    line-height: 1;
    color: #fff;
    border:0;
    width: 3rem;
    position: static;
    transform: none;
    margin-top: 0.1rem;
}
.en .foot {
    height: 3rem;
}
/*视频图片混排播放*/
.swipe-mask.imgMask{
    background-color: #000;
}
.swipe-mask img{
    pointer-events: none;
    cursor: default;
}

.material-name{
    white-space: pre-line;
}